Subject: Re: b18 -> b19 Stuff
From: [email-masked] (John A. Turner)

6 Mar 1998 22:07:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], Bryan Lally <[email-masked]>

I wrote:

> I'm seeing the same thing, and have generated a small makefile
> that triggers this repeatably:
> 
> %.dep: %.c
>         gcc -traditional -E -M $< | sed -e 's!$*\.o!$*.o $@!' > $@
> 
> Now just create a blorp.c file with anything in it and do
> gmake blorp.dep.  I see:
> 
> ~/LANL/JTpack90/b19$ gmake blorp.dep
> gcc -traditional -E -M blorp.c | sed -e 's!blorp\.o!blorp.o blorp.dep!' > blorp.dep
> (C:\BIN\SH.EXE 1034) Exception: STATUS_ACCESS_VIOLATION
> (C:\BIN\SH.EXE 1034) Dumping stack trace to SH.EXE.core
> cpp.exe: output pipe has been closed
> 
> The command works fine when executed by hand at the bash command
> line:
> 
> ~/LANL/JTpack90/b19$ gcc -traditional -E -M blorp.c | sed -e 's!blorp\.o!blorp.o blorp.dep!' > blorp.dep
> ~/LANL/JTpack90/b19$ cat blorp.dep
> blorp.o blorp.dep: blorp.c
> ~/LANL/JTpack90/b19$
> 
> Note that /bin/sh.exe is a copy of bash.exe.

The above is fixed by replacing the b19 cygwinb19.dll with
Sergey's patched version (http://www.lexa.ru/sos/).

-J
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".